# Verify

{% hint style="info" %}
💬 **Need help?** If you're stuck, ask Eva on ATRIP for instant diagnostics.

<a href="https://www.atriptech.com/" class="button primary" data-icon="comments">Ask Eva</a>
{% endhint %}

## Verify

> \*\*Dependency:\*\*\
> The \`search\` function should be called prior to this call.\
> \
> \> - When there is no price change, the "original" and the "new" price and tax will always be the same.\
> \> - When there is price change, there will be some difference between the "original" and the "new" price and tax.\
> \> - If paymentMethod in the request is 5（MoR）the MoR currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList. The paymentFee amount will not be added to the “VendorFare”.\
> \> - If paymentMethod in the request is 3（VCC Passthrough）the VCC Passthrough currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList (if any). The paymentFee amount will be added to the “VendorFare”.\
> \
> \*\*Endpoint:\*\*\
> <https://sandbox.atriptech.com/verify.do>

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Shopping and Ticketing"}],"security":[],"paths":{"/verify.do":{"post":{"summary":"Verify","deprecated":false,"description":"**Dependency:**\nThe `search` function should be called prior to this call.\n\n> - When there is no price change, the \"original\" and the \"new\" price and tax will always be the same.\n> - When there is price change, there will be some difference between the \"original\" and the \"new\" price and tax.\n> - If paymentMethod in the request is 5（MoR）the MoR currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList. The paymentFee amount will not be added to the “VendorFare”.\n> - If paymentMethod in the request is 3（VCC Passthrough）the VCC Passthrough currency will be returned and amount in “VendorFare” and it’s paymentFee in cardChargeList (if any). The paymentFee amount will be added to the “VendorFare”.\n\n**Endpoint:**\nhttps://sandbox.atriptech.com/verify.do","tags":["Shopping and Ticketing"],"parameters":[{"name":"Accept","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"Content-Type","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"Accept-Encoding","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"x-atlas-client-id","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"x-atlas-client-secret","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"routingIdentifier":{"type":"string","description":"The`routingIdentifier`from search response."},"maxResponseTime":{"type":"integer","default":15000,"description":"The interface timeout(in milliseconds), with a default of 5000ms. \n**Note:** \nDue to the influence of network transmission and computational performance, the client may still receive a normal result (instead of a timeout) when the response duration exceeds. This time is used to control the overall response duration of the interface within a certain range, and the error generally will not exceed several hundred milliseconds. If you have strict requirements for the timeout time, it is recommended that you set the timeout time of your HTTP tool library. If the HTTP tool library you use does not support this capability, you may need to use other tools to achieve it, and most programming languages provide relevant capabilities.","nullable":true},"requestSource":{"$ref":"#/components/schemas/RequestSource","nullable":true,"description":"The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…"},"outboundSegments":{"type":"array","items":{"type":"object","properties":{"departureAirport":{"type":"string","description":"IATA code of the departure airport."},"arrivalAirport":{"type":"string","description":" IATA code of the arrival airport"},"flightNumber":{"type":"string","description":"Marketing flight number without airline code prefix."},"departureDate":{"type":"string","description":"Departure date of the flight. We do not require users to specify departure times. We do not support return segments based on specific departure time as well. Considering that the externally transmitted time may not match the actual flight segment time on the supplier's (airline's) side, this can lead to search results being lost. Therefore, we will return flights with the specified flight number departing on the specified date."},"carrier":{"type":"string","description":"IATA two letter code of marketing carrier."}},"required":["departureAirport","departureDate","flightNumber","arrivalAirport","carrier"]},"description":"Return flight segments are arranged in the order of flight.","nullable":true},"inboundSegments":{"type":"array","items":{"type":"object","properties":{"departureAirport":{"type":"string","description":"IATA code of the departure airport."},"arrivalAirport":{"type":"string","description":" IATA code of the arrival airport"},"flightNumber":{"type":"string","description":"Marketing flight number without airline code prefix."},"departureDate":{"type":"string","description":"Departure date of the flight. We do not require users to specify departure times. We do not support return segments based on specific departure time as well. Considering that the externally transmitted time may not match the actual flight segment time on the supplier's (airline's) side, this can lead to search results being lost. Therefore, we will return flights with the specified flight number departing on the specified date."},"carrier":{"type":"string","description":"IATA two letter code of marketing carrier."}},"required":["departureAirport","departureDate","flightNumber","arrivalAirport","carrier"]},"description":"Arrange the outbound flight segments in the order of flight. Optional, null or [] indicates one-way.","nullable":true}},"required":["routingIdentifier"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/VerifyResponseStatus","description":"- 200: Illegal routing identifier. Description: The \"routingIdentifier\" in request contains invalid content. Please check the content of this field to ensure that the content returned by the search is passed back exactly as it is.\n- 201: Invalid routing. Description: The airline has flights and quotations, but Atlas has closed sales for some reasons. The reasons can be 1) The sales were manually closed 2) The system has detected a risk of sold out 3) Prohibitions on nearby flights. Try booking after some time.\n- 202: Routing identifier expired. Description: The routingIdentifier has a certain validity period. If the “routingIdentifier” is used after this time period, then this error is displayed. Conduct “Search” again and use the new “routingIdentifier”.\n- 203: Airline closed. Description: The airline is no longer in business.\n- 205: Timed out. Description: \n- 207: Flight not available. Description: The required flight is no longer available at the airline's side, possibly due to the flight being sold out.\n- 210: Fare family sold out. Description: The flight or the fare family is no longer available with the airline. Conduct the search again and rebook.\n- 212: Illegal Request Parameter. Description: Some parameters do not meet the requirements. Please adjust them according to the error message.\n- 213: Flight information changed. Description: Conduct the search again and rebook.\n- 222: Fail to obtain baggage from airline. Description: Fail to obtain baggage from airline, pls retry the request.\n- 299: Verify failed. Description: This is an error for which Atlas needs to take action. In some uncontrollable situations, such as network issues, upgrades, and restarts, 299 errors may occur. It is possible that the airline is not available or there are challenges at Atlas' end. Atlas needs to handle these errors internally.\n"},"msg":{"$ref":"#/components/schemas/ResponseMessage","nullable":true},"sessionId":{"type":"string","description":"The unique identifier for this verification. It is required when you call order function to make a reservation to identify which flight and fare the client is choosing."},"maxSeats":{"type":"integer","description":"Max seats allowed when booking. Please refer this element and prevent the end-users to choose more passengers than seat count."},"routing":{"$ref":"#/components/schemas/Routing"},"bookingRequirement":{"$ref":"#/components/schemas/BookingRequirement"},"priceChange":{"type":"object","properties":{"isPriceChange":{"type":"boolean","description":"Indicate whether the price has changed (compared to the search result)"},"originalAdultPrice":{"type":"number","description":"Original adult fare price returned in search response"},"originalAdultTax":{"type":"number","description":"Original adult tax returned in search response"},"originalChildPrice":{"type":"number","description":"Original child fare price returned in search response"},"originalChildTax":{"type":"number","description":"Original child tax returned in search response"},"originalInfantPrice":{"type":"number","description":"Original infant fare price returned in search response"},"originalInfantTax":{"type":"integer","description":"Original infant tax returned in search response"},"newAdultPrice":{"type":"number","description":"Current adult fare price returned in search response"},"newAdultTax":{"type":"number","description":"Current adult tax returned in search response"},"newChildPrice":{"type":"number","description":"Current child fare price returned in search response"},"newChildTax":{"type":"number","description":"Current child tax returned in search response"},"newInfantPrice":{"type":"number","description":"Current infant fare price returned in search response"},"newInfantTax":{"type":"integer","description":"Current infant tax returned in search response"}},"required":["isPriceChange","originalAdultPrice","originalAdultTax","originalChildPrice","originalChildTax","originalInfantPrice","originalInfantTax","newAdultPrice","newAdultTax","newChildPrice","newChildTax","newInfantPrice","newInfantTax"]}},"required":["sessionId","maxSeats","routing","bookingRequirement","priceChange","status"]}}},"headers":{}}}}}},"components":{"schemas":{"RequestSource":{"type":"string","description":"The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…"},"VerifyResponseStatus":{"type":"integer","enum":[200,201,202,203,205,207,210,212,213,222,299]},"ResponseMessage":{"type":"string","description":"It serves as an additional description of the response result. Especially when the interface reports an error (`status` !=`0`), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to`0`at any time."},"Routing":{"type":"object","properties":{"routingIdentifier":{"type":"string","description":"This unique string identifier is used to verify requests for a particular route.\n**Note:**\nHas a certain validity period (generally not exceeding 6 hours)."},"supportCreditTransPayment":{"type":"string","description":"This tag is used to identify if the fare is support to be paid using the client's credit card(known as vcc passthrough). This field has been deprecated, please use `supportPaymentMethods` instead.","deprecated":true,"enum":["0","1"]},"supportPaymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"},"description":"Support payment methods for this fare. If payment is not supported in any way, this will be `null`or`[]`. Each item in this array is one of the following:\n- 1: deposit\n- 3: vcc passthrough\n- 4: BYOA(Bring Your Own Account)\n- 5: MoR"},"currency":{"type":"string","description":"The currency in which Atlas settles transactions with you."},"adultPrice":{"type":"number","description":"Adult fare per passenger."},"adultTax":{"type":"number","description":"Adult tax per passenger."},"adultDetails":{"type":"array","items":{"$ref":"#/components/schemas/PriceItem"},"description":"Details of the adult price composition.","nullable":true},"childPrice":{"type":"number","description":"Child fare per passenger."},"childTax":{"type":"number","description":"Child tax per passenger."},"childDetails":{"type":"array","items":{"$ref":"#/components/schemas/PriceItem"},"description":"Details of the child price composition.","nullable":true},"infantPrice":{"type":"number","description":"Infant fare per passenger."},"infantTax":{"type":"integer","description":"Infant tax per passenger."},"infantDetails":{"type":"array","items":{"$ref":"#/components/schemas/PriceItem"},"description":"Details of the child infant composition.","nullable":true},"infantAllowed":{"type":"boolean","description":"Since `infantPrice` and `infantTax` will never be `null`, when the fare does not support infants or is free for infants, both `infantPrice` and `infantTax` display `0`. In this case, you need this field to distinguish which situation it is.\n**Scenario description:**\n- `true`: infants is supported by this fare, `infantPrice` and `infantTax` will >= `0`\n- `false`: infants is not supported by this fare, `infantPrice` and `infantTax`will be displayed as `0`","nullable":true},"childMandatorySeatingFee":{"type":"number","description":"Only valid for FR integration.\n\n**FR Seat Selection Rules:**\n- Children under 12 years old are provided with free seats.\n- Children must be seated in the same row as an adult.\n- Each adult may accompany up to 4 children.\n\nFor fare families that do not include seat selection fees (e.g., Basic or Family Plus), FR offers discounted seat selection fees for adults traveling with children. The`childMandatorySeatingFee`field displays this discounted fee.\nFor fare families that already include seat selection fees, this field will be `null`.\n\n**Handling by Atlas for Fare Families Without Seat Selection Fees:**\n- The number of children cannot exceed 4.\n- Customers cannot select seats manually.\n- Atlas will automatically assign seats randomly to one adult and all children according to FR's rules. The adult will be charged the `childMandatorySeatingFee` for their seat.\n\n**For Fare Families That Include Seat Selection Fees:**\n- Seat selection is free.\n- Users may call the seat map API to select seats; otherwise, Atlas will automatically assign seats.","nullable":true},"transactionFeePerPax":{"type":"number","deprecated":true,"description":"Technical service fee per passenger. This field has been deprecated and final total transaction fee will calculated based on `transactionFee` and `transactionFeeMode`."},"transactionFee":{"type":"number","description":"Technical service fee as per `transactionFeeMode`. The following lists the calculation methods for the final technical service fee in various situations.\n- `transactionFeeMode`=`PER_SEGMENT`:`transactionFee` * number of passengers * number of segments.\n- `transactionFeeMode`=`PER_TICKET`:`transactionFee` * number of passengers * number of orders on airline side.\n- `transactionFeeMode`=`PER_PAX`:`transactionFee` * number of passengers.\n- `transactionFeeMode`=`PER_BOOKING`:`transactionFee`."},"transactionFeeMode":{"$ref":"#/components/schemas/TransactionFeeMode","description":"Calculation method for technical service fee.\n- PER_SEGMENT: Calculate based on the number of segments in the order (number of travel segments * number of passengers)\n- PER_TICKET: Calculate based on the number of orders on the airline's side\n- PER_PAX: Calculate based on the number of passengers\n- PER_BOOKING: Calculate based on each order"},"fromSegments":{"type":"array","items":{"$ref":"#/components/schemas/RoutingSegment"},"description":"For outbound segments."},"retSegments":{"type":"array","items":{"$ref":"#/components/schemas/RoutingSegment"},"description":"For inbound segments. For one-way, this field will be `null` or `[]`.","nullable":true},"rule":{"type":"object","properties":{"hasBaggage":{"type":"integer","description":"This tag is used to identify if the fare includes free checked-in or cabin baggage.\n- `0`: Not included\n- `1`: Included"},"baggageElements":{"type":"array","items":{"type":"object","properties":{"segmentNo":{"type":"integer","description":"The index of segment the baggage allowance applies to."},"baggageType":{"$ref":"#/components/schemas/AncillaryCategory","description":"Type of the baggage."},"passengerType":{"$ref":"#/components/schemas/PassengerType","description":"The type of passenger the baggage allowance applies to.\n- 0: Adult\n- 1: Child\n- 2: Infant\n"},"baggagePiece":{"type":"integer","description":"Baggage pieces:\n- `0`: No limitation\n- `>0`: Maximum pieces"},"baggageWeight":{"type":"integer","description":"Baggage Weight, with the unit of KG.\n- `0`: No Free baggage\n- `-1`: No limitation on weight\n- `>0`: Maximum weight"},"baggageSize":{"type":"string","description":"Baggage Size:\nlength＊width＊height and units. eg. `56＊36＊23cm`, `18＊14＊8inch`.\nOr Total dimensions (length + width + height) of each piece. eg. `L+W+H<=158cm`.\nEmpty means no limitation."},"isAllWeight":{"type":"boolean","description":"Baggage is all weight: true or false","nullable":true}},"required":["segmentNo","baggageType","passengerType","baggagePiece","baggageWeight","baggageSize"]},"description":"The free baggage allowance"},"refundRules":{"type":"array","items":{"type":"object","properties":{"refundType":{"type":"integer","description":"Type of refund allowed.\n- 0: Wholly unused ticket\n- 1: Partially used ticket (For example, when the passenger has used an outbound flight and wants to refund an inbound flight.)"},"refundStatus":{"description":"Refund rule types (for the most restrictive condition).\n- T: Non refundable\n- H: Refundable with restrictions\n- F: Full refundable\n","$ref":"#/components/schemas/RefundStatus"},"refundFee":{"type":"integer","description":"Refund penalty amount (for the most restrictive condition)","nullable":true},"currency":{"type":"string","description":"The currency of refund penalty","nullable":true},"refNoshow":{"type":"string","description":"Indicates if a no-show affects refunds (for the most restrictive condition).\n- T: Non refundable\n- H: Refundable with restrictions\n- F: Free for refund"},"refNoShowCondition":{"type":"integer","description":"Time before scheduled flight departure","default":0},"refNoshowFee":{"type":"number","description":"Total refund fee (for the most restrictive condition): If refNoshow = H, it should not be \"null\". This value includes the refund fee and no-show penalty"},"refundMethod":{"type":"string","description":"Refund method: CashBackToOriginalPayment or Voucher.\n- CashBackToOriginalPayment: Refund cash back to the original form of payment.\n- Voucher: Refund in the form of a voucher.","enum":["CashBackToOriginalPayment","Voucher"],"default":"CashBackToOriginalPayment","nullable":true},"ruleDetailList":{"type":"array","items":{"$ref":"#/components/schemas/AirlineRuleRes"}}},"required":["refundType","refNoshow","refNoShowCondition","refNoshowFee"]},"description":"This node is used to fetch the refund rules of the fare. There is only one array element for one way, and two elements for round-trip. The first element is for the outbound, and the second element is for the inbound."},"changesRules":{"type":"array","items":{"type":"object","properties":{"changesType":{"type":"integer","description":"Change flight type.\n- `0`: Wholly unused ticket\n- `1`: Partially used ticket (For example. When the passenger has used an outbound flight and wants to change an inbound flight)"},"changesStatus":{"$ref":"#/components/schemas/ChangeStatus","description":"Change flight rule type (for the most restrictive condition):\n- T: Non changeable\n- H: Changeable with restrictions\n- F: Free rescheduling"},"changesFee":{"type":"number","description":"Change flight fee (for the most restrictive condition):\n- If`changesStatus`=`H`, it should not be`null`\n- If`changesStatus`=`T/F`, it can be`null`","nullable":true},"currency":{"type":"string","description":"The currency of change flight fee","nullable":true},"revNoshow":{"type":"string","description":"Indicates if a no-show affects changes (for the most restrictive condition).\nValid values:\n- T: Non changeable\n- H: Changeable with restrictions\n- F: Free flight change","default":"T"},"revNoShowCondition":{"type":"integer","description":"Time before scheduled flight departure.","default":0},"revNoshowFee":{"type":"number","description":"The total fee charged to change flight in case of no show. If revNoshow = H, it should not be \"null.\" This value includes the change flight fee and no-show penalty.","default":0},"ruleDetailList":{"type":"array","items":{"type":"object","properties":{"status":{"description":"Level of refund/change.\n- T: Non refundable\n- H: Refundable with restrictions\n- F: Full refundable","$ref":"#/components/schemas/RefundStatus"},"startMinute":{"type":"string","description":"Starting time of rule application. Positive numbers represent XXX minutes before departure. Negative numbers represent XXX minutes after departure."},"endMinute":{"type":"string","description":"Ending time of rule application. Positive numbers represent XXX minutes before departure. Negative numbers represent XXX minutes after departure."},"amount":{"type":"string","description":"Penalty amount for refund/change. If the`status`indicates free refund/change, then this field will be either`0`or`null`.","nullable":true},"currency":{"type":"string","description":"The currency of penalty","nullable":true}},"required":["status","startMinute","endMinute"]},"description":"Change conditions"}},"required":["changesType","revNoshow","revNoShowCondition","revNoshowFee"]},"description":"This node is used to fetch the change rules of the fare. There is only one array element for one way, and two elements for round-trip. The first element is for the outbound, and the second element is for the inbound."},"serviceElements":{"type":"array","items":{"type":"object","properties":{"hasFreeSeat":{"type":"integer","description":"A marker used to indicate whether free seat selection is included.\n- `0`: Not included\n- `1`: Included\n- `2`: Partially free"},"hasFreeMeal":{"type":"integer","description":"A marker used to indicate whether free meals are included.\n- `0`: Not included\n- `1`: Included"}}},"description":"This function is used to fetch the other service rules of the fare. There is only one array for one way, and two arrays for round-trip. The first array is for the outbound, and the second array is for the inbound.","nullable":true}},"required":["hasBaggage","baggageElements","refundRules","changesRules"]},"ancillaryProductElements":{"type":"array","items":{"$ref":"#/components/schemas/AncillaryProduct"},"nullable":true},"vendorFare":{"type":"object","properties":{"vendorAdultPrice":{"type":"number","description":"Adult fare per passenger in vendor’s currency"},"vendorAdultTax":{"type":"number","description":"Adult tax per passenger in vendor’s currency"},"vendorChildPrice":{"type":"number","description":"Child fare per passenger in vendor’s currency"},"vendorChildTax":{"type":"number","description":"Child tax per passenger in vendor’s currency"},"vendorInfantPrice":{"type":"number","description":"Infant fare per passenger in vendor’s currency"},"vendorInfantTax":{"type":"integer","description":"Infant tax per passenger in vendor’s currency"},"vendorCurrency":{"type":"string","description":"Vendor’s currency"}},"required":["vendorAdultPrice","vendorAdultTax","vendorChildPrice","vendorChildTax","vendorInfantPrice","vendorInfantTax","vendorCurrency"],"description":"To identify the vendor’s fare with vendor’s currency. It is only available when`supportPaymentMethods`contains`3`or`4`."},"links":{"description":"The terms and conditions links of the airlines. Will only return in verify response.","$ref":"#/components/schemas/TAndCLink"},"separateBookings":{"type":"boolean","description":"When the outbound and inbound of round trip need to be booked separately, it will be true."},"refreshTime":{"type":"string","description":"If the fare is from the cache of Atlas, this field is used to indicate the refresh time of the cache. The time is a certain moment in the past (UTC), and the format is:`yyyy-MM-dd'T'HH:mm:ss'Z'`."},"expireTime":{"type":"string","description":"If the current fare comes from the cache of Atlas, this field is used to indicate the estimated expiration time of the cache. This time is a certain moment in the future (UTC), and the format is:`yyyy-MM-dd'T'HH:mm:ss'Z'`.\n**Note:** \nThis time is estimated, which means Atlas may refresh the cache before or after that time."},"ancillarySupported":{"type":"array","items":{"type":"string"},"description":"A list of ancillary service types that the fare allows for additional purchase. Possible value contains:\n- `luggage`\n- `seat`: You can carry out the subsequent seat selection process through our seat map interface."},"cardChargeList":{"type":"array","items":{"$ref":"#/components/schemas/CardCharge"},"description":"Payment handling fee for MoR/VCC","nullable":true}},"required":["routingIdentifier","supportCreditTransPayment","supportPaymentMethods","currency","adultPrice","adultTax","childPrice","childTax","infantPrice","infantTax","transactionFeePerPax","transactionFee","transactionFeeMode","fromSegments","rule","vendorFare","links","separateBookings","refreshTime","expireTime","ancillarySupported"]},"PaymentMethod":{"type":"integer","enum":[1,3,4,5],"title":""},"PriceItem":{"type":"object","properties":{"code":{"type":"string","description":"Machine readable code used to identify this price item."},"type":{"type":"string","description":"Type of this price item.","enum":["base","tax","fee"]},"amount":{"type":"number"},"description":{"type":"string","description":"Human-readable description for this price item.","nullable":true}},"required":["code","type","amount"]},"TransactionFeeMode":{"type":"string","enum":["PER_SEGMENT","PER_TICKET","PER_PAX","PER_BOOKING"],"title":""},"RoutingSegment":{"type":"object","properties":{"aircraftCode":{"type":"string","description":"IATA Code of aircraft type","nullable":true},"arrAirport":{"type":"string","description":"3-letter iata code for the arrival airport at which the segment is scheduled to arrive."},"arrTerminal":{"type":"string","description":"The terminal at the destination airport where the segment is scheduled to arrive.","nullable":true},"arrTime":{"type":"string","description":"The datetime at which the segment is scheduled to arrive, in the arrival airport timezone. The format is `YYYYMMDD`."},"cabin":{"type":"string","description":"RBD(known as Reservation Booking Designator) displayed by the airline.","nullable":true},"cabinClass":{"$ref":"#/components/schemas/CabinClass","description":"Cabin class of the segment.\n- 1: economy\n- 2: business\n- 3: first\n- 4: premium economy"},"carrier":{"type":"string","description":"IATA code of marketing carrier."},"codeShare":{"type":"boolean","description":"A flag used to identify whether it is a code share flight."},"depAirport":{"type":"string","description":"3-letter iata code for the airport at which the segment is scheduled to depart."},"depTerminal":{"type":"string","description":"The terminal at the departure airport from which the segment is scheduled to depart.","nullable":true},"depTime":{"type":"string","description":"The datetime at which the segment is scheduled to depart, in the departure airport timezone. The format is`YYYYMMSS`."},"duration":{"type":"integer","description":"The duration of the segment in munites."},"fareFamily":{"type":"string","description":"Fare Family as per the information received from the airline"},"flightNumber":{"type":"string","description":"Marketing flight number. The format is: CA123 or TR021 or FR1290, with the first two letters representing the carrier and the following number representing the flight number."},"operatingCarrier":{"type":"string","description":"2-letter iata code for the operating carrier. The airline actually operating this segment. This may differ from the marketing carrier in the case of a \"codeshare\", where one airline sells flights operated by another airline.","nullable":true},"operatingFlightnumber":{"type":"string","description":"Operating flight number.","nullable":true},"seatCount":{"type":"integer","description":"Max booking seats for the fare."},"segmentIndex":{"type":"integer","description":"Segment sequence. Starts from 1. If it is return trip, sequence for outbound trip and inbound trip would be together. The segment index also represents the flight sequence of the segment."},"stopCities":{"type":"string","description":"IATA code/Name of cities from where the passengers will take stopover flights. Include IATA code of cities and use a comma in case of multiple cities to separate transfer airports count is higher than 1. For example: `CGK, SUB`. \n`null` or blank means non-stop flight.","nullable":true}},"required":["arrAirport","arrTime","cabinClass","carrier","codeShare","depAirport","depTime","duration","fareFamily","flightNumber","seatCount","segmentIndex"]},"CabinClass":{"type":"integer","enum":[1,2,3,4],"title":""},"AncillaryCategory":{"type":"string","enum":["StandardCheckInBaggage","CabinBaggage","CabinBaggageUnderSeat","CabinBaggageOverheadLocker"]},"PassengerType":{"type":"integer","enum":[0,1,2]},"RefundStatus":{"type":"string","enum":["T","H","F"]},"AirlineRuleRes":{"type":"object","properties":{"status":{"description":"Level of refund/change.\n- T: Non refundable\n- H: Refundable with restrictions\n- F: Full refundable","$ref":"#/components/schemas/RefundStatus"},"startMinute":{"type":"string","description":"Starting time of rule application. Positive numbers represent XXX minutes before departure. Negative numbers represent XXX minutes after departure."},"endMinute":{"type":"string","description":"Ending time of rule application. Positive numbers represent XXX minutes before departure. Negative numbers represent XXX minutes after departure."},"amount":{"type":"string","description":"Penalty amount for refund/change. If the`status`indicates free refund/change, then this field will be either`0`or`null`.","nullable":true},"currency":{"type":"string","description":"The currency of penalty","nullable":true},"refundMethod":{"type":"string","description":"Refund method: CashBackToOriginalPayment or Voucher.\n- CashBackToOriginalPayment: Refund cash back to the original form of payment.\n- Voucher: Refund in the form of a voucher.","enum":["CashBackToOriginalPayment","Voucher"],"default":"CashBackToOriginalPayment","nullable":true}},"required":["status","startMinute","endMinute"]},"ChangeStatus":{"type":"string","enum":["T","H","F"]},"AncillaryProduct":{"type":"object","properties":{"ancillaryCode":{"type":"string","description":"A code that is relatively readable by humans and contains information about auxiliary business specifications (such as weight and quantity limitations of luggage). \n**Note:** \nThis content is only for display purposes and should not be used for programming purposes. That is to say, do not attempt to parse the information about auxiliary business specifications from this code. If you want to access the auxiliary business specifications, please use structured fields. For example, for luggage, please use`auxBaggageElement`."},"auxBaggageElement":{"type":"object","properties":{"isAllWeight":{"type":"boolean","description":"Mark whether the`weight`field restricts the total weight or the weight of a single piece.\n- `true`: The weight is for all the pieces\n- `false`: The weight is for each piece"},"piece":{"type":"integer","description":"The maximum number of pieces that can be purchased per person.\n- `0`: No Limitation about piece\n- `>0`: Maximum pieces"},"size":{"type":"string","description":"Maximum size for the baggage","nullable":true},"weight":{"type":"integer","description":"The maximum weight that can be purchased per person.\n- `0`: No limitation for weight\n- `>0`: Weight limit (KG)"}},"description":"Baggage specification limitations. This node is valid only when the ancillary type (`categoryCode`) is baggage.","required":["isAllWeight","piece","weight"],"nullable":true},"canPurchasePostTicket":{"type":"integer","description":"A flag used to mark if this ancillary product can be purchased in the post-ticketing flow.\n- `0`: No\n- `1`: Yes"},"canPurchaseWithTicket":{"type":"integer","description":"A flag used to mark if this ancillary product can be purchased during the booking flow.\n- `0`: No\n- `1`: Yes"},"categoryCode":{"description":"Type of the ancillary.\n\n- StandardCheckInBaggage: Standard Check-in Baggage.\n- CabinBaggage: Usually refers to the Cabin Baggage Overhead Locker. Transition value. It will gradually transition to `CabinBaggageOverheadLocker`.\n- CabinBaggageOverheadLocker: Cabin Baggage Overhead Locker.\n- CabinBaggageUnderSeat: Cabin Baggage Under Seat. Usually refers to the personal item.","$ref":"#/components/schemas/AncillaryCategory"},"clientTechnicalServiceFee":{"type":"number","description":"The service fee charged by Atlas for the purchase of the ancillary.","nullable":true},"currency":{"type":"string","description":"The currency in which Atlas settles transactions with you"},"maxQty":{"type":"integer","description":"The maximum number of purchases allowed per person per flight segment"},"minQty":{"type":"integer","description":"The minimum quantity allowed to be purchased per person per flight segment."},"price":{"type":"number","description":"Price for this ancillary."},"productCode":{"type":"string","description":"Unique identifier for the ancillary product. It would be used in the order request."},"segmentIndex":{"type":"integer","description":"The index of segment the ancillary applies to."},"vendorCurrency":{"type":"string","description":"The currency in which the vendor charges for the ancillary. If the fare does not allow for the VCC pass-through or BYOA payment, this information will be`null`."},"vendorPrice":{"type":"integer","description":"The price charged by the vendor for the ancillary. If the fare does not allow for the VCC pass-through or BYOA payment, this information will be`null`."}},"required":["ancillaryCode","canPurchasePostTicket","canPurchaseWithTicket","categoryCode","currency","maxQty","minQty","price","productCode","segmentIndex","vendorCurrency","vendorPrice"]},"TAndCLink":{"type":"object","properties":{"carrier":{"type":"string","description":"IATA code for the airline"},"kind":{"type":"string","description":"always:`terms`"},"link":{"type":"string","description":"URL to the carrier's terms and conditions"},"description":{"type":"string","description":"Carrier terms and conditions"}},"required":["carrier","kind","link","description"]},"CardCharge":{"type":"object","properties":{"cardType":{"description":"Card types, such as Visa, MasterCard","$ref":"#/components/schemas/CardType"},"percentage":{"type":"number","description":"Percentage of payment handling fee","nullable":true},"charge":{"type":"number","description":"The amount of payment handling fee","nullable":true},"currency":{"type":"string","description":"Currency of `charge`","nullable":true}},"required":["cardType"]},"CardType":{"type":"string","enum":["Amex","Visa","MasterCard","JCB","Discover","DinersClub"]},"BookingRequirement":{"type":"object","properties":{"passenger":{"type":"object","properties":{"birthday":{"description":"Requirements for birthday.","$ref":"#/components/schemas/BookingRequirementConstraint"},"cardIssuePlace":{"description":"Requirements for the country where the identity document is issued.","$ref":"#/components/schemas/BookingRequirementConstraint"},"cardNum":{"description":"Requirements for the number of identity document.","$ref":"#/components/schemas/BookingRequirementConstraint"},"passengerType":{"description":"Requirements for the type of passenger(Adult, Child, Infant).","$ref":"#/components/schemas/BookingRequirementConstraint"},"gender":{"description":"Requirements for passenger's gender","$ref":"#/components/schemas/BookingRequirementConstraint"},"nationality":{"description":"Requirements for passenger's nationality","$ref":"#/components/schemas/BookingRequirementConstraint"},"cardExpired":{"description":"Requirements for the expiration date of identity document","$ref":"#/components/schemas/BookingRequirementConstraint"},"name":{"description":"Requirements for passenger's name","$ref":"#/components/schemas/BookingRequirementConstraint"},"cardType":{"description":"Requirements for the type of identity document.","$ref":"#/components/schemas/BookingRequirementConstraint"}},"required":["birthday","cardIssuePlace","cardNum","passengerType","gender","nationality","cardExpired","name","cardType"],"description":"Passenger information requirements"}},"required":["passenger"]},"BookingRequirementConstraint":{"type":"object","properties":{"required":{"type":"boolean","description":"Required or not"}},"required":["required"]}}}}
```
